Bug 128809

Summary: [CSS Regions] ASSERT when hovering over region
Product: WebKit Reporter: Andrei Bucur <abucur>
Component: WebCore Misc.Assignee: Andrei Bucur <abucur>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, esprehn+autocc, glenn, kondapallykalyan, stavila, WebkitBugTracker
Priority: P2 Keywords: AdobeTracked
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 57312    
Attachments:
Description Flags
Hover over the second region to trigger a crash
none
Patch none

Description Andrei Bucur 2014-02-14 05:08:27 PST
Created attachment 224202 [details]
Hover over the second region to trigger a crash

There are cases when the hit-testing code asserts when hovering a region. This happens because we call borderBoxRectInRegion for a box with a region range that doesn't contain the target region. A good fix would be to make hit-testing rejection first based on the range of the box. It doesn't make sense to have a hit on a box in a region where that box doesn't actually appear.
Comment 1 Radu Stavila 2014-03-20 06:01:50 PDT
This problem also happens for existing test LayoutTests/fast/regions/scrollable-paragraph-unsplittable.html
Comment 2 Andrei Bucur 2014-05-02 08:49:57 PDT
Created attachment 230665 [details]
Patch
Comment 3 Mihnea Ovidenie 2014-05-04 22:33:58 PDT
Comment on attachment 230665 [details]
Patch

r=me
Comment 4 WebKit Commit Bot 2014-05-05 01:01:42 PDT
Comment on attachment 230665 [details]
Patch

Clearing flags on attachment: 230665

Committed r168263: <http://trac.webkit.org/changeset/168263>
Comment 5 WebKit Commit Bot 2014-05-05 01:01:45 PDT
All reviewed patches have been landed.  Closing bug.